2017年03月18日

[Android] Android Studio を 1.5 から 2.3 にアップグレードしたら、ビルドエラーになる

Android Studio を 1.5 から 2.3 にアップグレードしたらビルドエラーが
出るようになりました。

その対策を備忘メモ。

OSは、MacOS Sierra 10.12.1。

Android Studio のダウンロード元:
https://developer.android.com/studio/index.html

ここから、最新版の .dmg ファイルをダウンロード。
ダブルクリックしてインストール。

アップデートはスムーズにできたのですが、作っていたプロジェクトでビルドエラーが
出るようになりました。

--------------------------------------------
Error:(1, 1) A problem occurred evaluating project ':app'.
> java.lang.UnsupportedClassVersionError: com/android/build/gradle/AppPlugin : Unsupported major.minor version 52.0
--------------------------------------------

Java JDK 1.7 → 1.8 に変更することで解消。

File->Other Settings->Default Project Structure->SDKs

↓画面の下の方に警告がでているので
スクリーンショット 2017-03-18 12.23.08.png

↓JDK1.8 に変更
スクリーンショット 2017-03-18 12.23.27.png

↓警告が消えました
スクリーンショット 2017-03-18 12.23.38.png

参考:
http://stackoverflow.com/questions/35937875/unsupported-major-minor-version-52-0-when-rendering-in-android-studio

posted by be-style at 15:08| Comment(0) | Android